#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### noatuntags (library) ######################

tde_add_library( noatuntags SHARED AUTOMOC
  SOURCES
    tags.cpp
  VERSION 1.2.0
  LINK
    noatun-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data ################################

install( FILES tags.h DESTINATION ${INCLUDE_INSTALL_DIR}/noatun )
